RubyGems Navigation menu

pdk 1.11.1

A CLI to facilitate easy, unified development workflows for Puppet modules.

Versions:

  1. 1.18.1 - July 17, 2020 (154 KB)
  2. 1.18.0 - May 12, 2020 (154 KB)
  3. 1.17.0 - February 27, 2020 (146 KB)
  4. 1.16.0 - February 05, 2020 (134 KB)
  5. 1.15.0 - December 13, 2019 (132 KB)
  6. 1.11.1 - July 01, 2019 (105 KB)
Show all versions (41 total)

Runtime Dependencies (19):

  • bundler >= 1.15.0, < 3.0.0
  • childprocess ~> 0.7.1
  • concurrent-ruby ~> 1.1.5
  • cri >= 2.10.1, <= 2.15.6
  • deep_merge ~> 1.1
  • diff-lcs = 1.3
  • facter ~> 2.5.1
  • ffi ~> 1.9.0
  • gettext-setup ~> 0.24
  • hitimes = 1.3.0
  • httpclient ~> 2.8.3
  • json_pure ~> 2.1.0
  • json-schema = 2.8.0
  • minitar ~> 0.6.1
  • net-ssh ~> 4.2.0
  • pathspec ~> 0.2.1
  • tty-prompt = 0.13.1
  • tty-spinner = 0.5.0
  • tty-which = 0.3.0
  • Owners:

    Pushed by:

    Authors:

    • Puppet, Inc.

    SHA 256 checksum:

    56a9981345056a786eccafe94b8fe6f00e443b2b9ebeeb3b064050214059bccb

    Total downloads 251,965

    For this version 16,375

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: >= 2.1.9

    Links: